Bug 1460169 - Create cluster job has not timeouted even after more than 24 hours
Create cluster job has not timeouted even after more than 24 hours
Status: ON_QA
Product: Red Hat Storage Console
Classification: Red Hat
Component: Common (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 3-alpha
Assigned To: Rohan Kanade
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 06:14 EDT by Martin Kudlej
Modified: 2017-06-26 04:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: tendrl-commons-3.0-alpha.10.el7scon.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current date in terminal and related job times (112.79 KB, image/png)
2017-06-09 06:14 EDT, Martin Kudlej
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Github https://github.com/Tendrl/commons/issues/599 None None None 2017-06-16 00:22 EDT

  None (edit)
Description Martin Kudlej 2017-06-09 06:14:14 EDT
Created attachment 1286370 [details]
current date in terminal and related job times

Description of problem:
This BZ is related to bug 1460166. But this BZ is about timeout. As you can see on screenshot job has not timeouted after more than 24 hours. I think it should.

Version-Release number of selected component (if applicable):
ceph-ansible-2.2.11-1.el7scon.noarch
ceph-base-11.2.0-0.el7.x86_64
ceph-common-11.2.0-0.el7.x86_64
ceph-installer-1.3.0-1.el7scon.noarch
ceph-mon-11.2.0-0.el7.x86_64
ceph-osd-11.2.0-0.el7.x86_64
ceph-selinux-11.2.0-0.el7.x86_64
etcd-3.1.7-1.el7.x86_64
libcephfs2-11.2.0-0.el7.x86_64
python-cephfs-11.2.0-0.el7.x86_64
python-etcd-0.4.5-1.noarch
rubygem-etcd-0.3.0-1.el7.noarch
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-commons-3.0-alpha.8.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-node-agent-3.0-alpha.8.el7scon.noarch
tendrl-node-monitoring-3.0-alpha.4.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.6.el7scon.noarch


How reproducible:
I think that for Ceph create cluster job it is 100% because I think there is no timeout for this job.

Steps to Reproduce:
1. try to create ceph cluster 
2. wait for ceph-installer failure
3. job doesn't timeout after more than 2 hours after last update


Expected results:
Ceph create cluster job should timeout after 2 hours sine last job update.
Comment 4 Martin Bukatovic 2017-06-16 13:08:02 EDT
The same reproducer as described in https://bugzilla.redhat.com/show_bug.cgi?id=1460166#c7 applies.

I was able to reproduce this issue, and affected task is still in processing
after few days.

Note You need to log in before you can comment on or make changes to this bug.